function messageBox(originalBGImage, message) --TODO: differenciate from yesnomenu
	while true do
		screen:blit(0, 0, originalBGImage, true)
		screen:blit(0, 0, menuImages["yesno_background_overlay"], true)
		local x=158+10
		local y=108+10
		printWithCR(screen, x, y, message, white, 10)
		
		updateInputs(Controls.read())
		
		if inputFirstPress("circle") or inputFirstPress("square") or inputFirstPress("cross") then
			return "ok"
		end
		
		screen.waitVblankStart()
		screen.flip()
	end
end 